MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029287Community[OCCT] OCCT:Modeling Datapublic2017-11-02 11:182017-12-07 21:07
Reportereryar 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.3.0*Fixed in Version 
Summary0029287: Move package GProp from TKG2d to TKG3d
DescriptionThe package GProp defines algorithms to compute the global properties of a set of points, element curve, element surface, .etc. They are all 3D. So I suggest to move the package from TKG2d to TKG3d.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0072062)
git (administrator)
2017-11-08 18:13

Branch CR29287 has been created by msv.

SHA-1: b2f77ce4c61ea9f912fc421ae11486583f00e8e0


Detailed log of new commits:

Author: msv
Date: Wed Nov 8 18:13:47 2017 +0300

    0029287: Move package GProp from TKG2d to TKG3d
(0072117)
msv (developer)
2017-11-09 14:35

Dear Andrey, please review.
Jenkins job is http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29287-master-msv/view/COMPARE/ [^]
(0072233)
abv (manager)
2017-11-13 21:52

No remarks, please integrate
(0072237)
bugmaster (administrator)
2017-11-14 12:48

Combination -
OCCT branch: CR29287 SHA: b2f77ce4c61ea9f912fc421ae11486583f00e8e0
Products branch: master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings.

Regressions/Differences/Improvements:
No regressions/differences.

CPU differences:
OCCT
Debian70-64
Total CPU difference: 20933.78000000038 / 20729.730000000465 [+0.98%]
Windows-64-VC10
Total CPU difference: 18505.24422259843 / 18506.86663299847 [-0.01%]
Products
Debian70-64
Total CPU difference: 7923.440000000079 / 7934.890000000088 [-0.14%]
Windows-64-VC10
Total CPU difference: 8004.1773084999395 / 7981.338762099939 [+0.29%]

Image differences :
No differences that require special attention.

Memory differences :
No differences that require special attention.
(0072808)
git (administrator)
2017-12-07 21:07

Branch CR29287 has been deleted by kgv.

SHA-1: b2f77ce4c61ea9f912fc421ae11486583f00e8e0

- Related Changesets
occt: master 28290975
Timestamp: 2017-11-08 15:13:47
Author: msv
Committer: bugmaster
Details ] Diff ]
0029287: Move package GProp from TKG2d to TKG3d
mod - src/TKG2d/PACKAGES Diff ] File ]
mod - src/TKG3d/PACKAGES Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-11-02 11:18 eryar New Issue
2017-11-02 11:18 eryar Assigned To => msv
2017-11-08 18:13 git Note Added: 0072062
2017-11-08 18:18 msv Status new => assigned
2017-11-08 18:19 msv Severity minor => trivial
2017-11-08 18:19 msv Target Version => 7.2.1
2017-11-09 14:35 msv Note Added: 0072117
2017-11-09 14:35 msv Assigned To msv => abv
2017-11-09 14:35 msv Status assigned => resolved
2017-11-09 14:35 msv Steps to Reproduce Updated View Revisions
2017-11-13 21:52 abv Note Added: 0072233
2017-11-13 21:52 abv Assigned To abv => bugmaster
2017-11-13 21:52 abv Status resolved => reviewed
2017-11-14 12:48 bugmaster Test case number => Not required
2017-11-14 12:48 bugmaster Note Added: 0072237
2017-11-14 12:48 bugmaster Status reviewed => tested
2017-11-17 16:10 bugmaster Changeset attached => occt master 28290975
2017-11-17 16:10 bugmaster Status tested => verified
2017-11-17 16:10 bugmaster Resolution open => fixed
2017-12-04 21:36 kgv Target Version 7.2.1 => 7.3.0*
2017-12-07 21:07 git Note Added: 0072808


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker